.btn {
    color: #303030;
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 700;
    height: rem(60);
    font-size: rem(16);
    line-height: rem(23);
    padding: rem(8) rem(32);
    border-radius: rem(10);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    background: $yellow;
    fill: #000;

    &:hover {
        color: #000;
        background: $yellow-hover;
        text-decoration: none;
        fill: #000;
    }

    &:active {
        background: $yellow;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }
}

.btn-gray {
    color: $white;
    background: $gray;

    &:hover {
        color: $white;
        background: $dark;
    }

    &:active {
        color: $white;
        background: $gray;
    }
}

.btn-sm {
    height: rem(44);
    padding: rem(8) rem(24);
    font-size: rem(14);
    line-height: rem(20);
    border-radius: rem(10);
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.pretty-button {
    margin: 0;
    padding: 0;
    font-size: 0;
    width: 100%;
    cursor: pointer;
    line-height: 0;
    height: rem(75);
    border: none;
    outline: none;
    background: #d3ae33;
    border-radius: 10px;
    display: inline-block;
    position: relative;

    span {
        left: 0;
        right: 0;
        top: rem(-4);
        width: 100%;
        height: rem(75);
        display: flex;
        color: #383838;
        position: absolute;
        border-radius: 10px;
        font-size: rem(20);
        line-height: 1.55;
        background: #ffc90e;
        align-items: center;
        justify-content: center;
        font-family: $font-family-secondary;
        transition: .3s;
    }

    &:hover {

        span {
            top: 0;
            transition: .3;
        }
    }
}
